Summary: Old version of libpng, needed to run old binaries.
Name: libpng10
Version: 1.0.13
Release: 21
License: zlib
Group: System Environment/Libraries
URL: http://www.libpng.org/pub/png/

# Note: non-current tarballs get moved to the history/ subdirectory,
# so look there if you fail to retrieve the version you want
Source: ftp://ftp.simplesystems.org/pub/png/src/libpng-%{version}.tar.bz2
Source2: ftp://ftp.simplesystems.org/pub/png/src/libpng-1.0.13patch03-makefiles.tar.gz

Patch0: libpng-1.0.13-rhconf.patch
Patch1: libpng-1.0.13-rhconf2.patch
Patch2: libpng-1.0.13-security.patch
Patch3: libpng-1030-fixes.patch
Patch4: libpng-splt-bug.patch
Patch5: libpng-uninit-pointers.patch
Patch6: libpng-fast-decomp.patch
Patch7: libpng-CVE-2009-2042.patch
Patch8: libpng-CVE-2010-1205.patch
Patch9: libpng-CVE-2010-2249.patch

Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: zlib-devel
Conflicts: libpng < 2:1.2.0

%description
The libpng10 package contains an old version of libpng, a library of
functions for creating and manipulating PNG (Portable Network Graphics)
image format files.

This package is needed if you want to run binaries that were linked dynamically
with libpng 1.0.x.

%package devel
Group: Development/Libraries
Summary: Development tools for version 1.0 of libpng
Requires: libpng10 = %{version}-%{release}, zlib-devel
Provides: libpng-devel = %{version}-%{release}

%description devel
The libpng10-devel package contains the header files and static
libraries necessary for developing programs using version 1.0
of the PNG (Portable Network Graphics) library.

If you want to develop programs which will manipulate PNG image
format files, while still running on previous Red Hat Linux releases,
you should install libpng10-devel.  You'll also need to install the
libpng10 package.

%prep
%setup -n libpng-%{version}

## dump in the fixed makefiles (remove this with 1.0.14, presumably)
(cd scripts && tar zxf %{SOURCE2})

ln -s scripts/makefile.linux Makefile
%patch0 -p1 -b .rhconf
%patch1 -p1 -b .rhconf2
%patch2 -p1 -b .security
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

%build
make ZLIBLIB=%{_libdir} RPM_OPT_FLAGS="$RPM_OPT_FLAGS"  %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install prefix=$RPM_BUILD_ROOT/usr LIBPATH=$RPM_BUILD_ROOT%{_libdir}

# I don't know what this is doing here.
rm -f $RPM_BUILD_ROOT%{_mandir}/man5/libpng.so*

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc *.txt example.c README TODO CHANGES
%{_libdir}/libpng.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/libpng10
# includedir/libpng deliberately omitted, conflicts with other libpng versions
%{_libdir}/libpng10.so
%{_libdir}/libpng10.a
# libpng.so, libpng.a deliberately omitted, conflicts with other libpng versions
%{_libdir}/pkgconfig

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Jul  2 2010 Tom Lane <tgl@redhat.com> 1.0.13-21
- Back-port fixes for CVE-2009-2042, CVE-2010-0205, CVE-2010-1205,
  CVE-2010-2249
Resolves: #609926

* Thu Feb 26 2009 Tom Lane <tgl@redhat.com> 1.0.13-20
- Fix inter-subpackage Requires, per rpmdiff complaint
Related: #487170

* Wed Feb 25 2009 Tom Lane <tgl@redhat.com> 1.0.13-19
- Back-port fix for CVE-2009-0040.
Resolves: #487170
- Note: so far as I can tell, this version isn't affected by CVE-2008-1382.

* Fri Oct 19 2007 Tom Lane <tgl@redhat.com> 1.0.13-18
- Back-port critical fixes from libpng 1.0.30, primarily to fix CVE-2007-5269
Resolves: #337551

* Sun May 13 2007 Tom Lane <tgl@redhat.com> 1.0.13-17
- Add patch to fix CVE-2006-5793
Resolves: #215405

* Sat May 12 2007 Tom Lane <tgl@redhat.com> 1.0.13-16
- Add patch to fix CVE-2007-2445
Resolves: #239543

* Fri Jul 23 2004 Matthias Clasen <mclasen@redhat.com> 1.0.13-15
- Replace the patches for individual security problems with the
  cumulative patch issued by the png developers. 

* Mon Jun 14 2004 Matthias Clasen <mclasen@redhat.com> 1.0.13-14
- Reinstate and improve the transfix patch which got lost sometime ago,
  but is still needed for CAN-2002-1363 (#125934)
                                                                               
* Mon May 03 2004 MAtthias Clasen <mclasen@redhat.com> 1.0.13-13
- Redo the out-of-bounds fix in a slightly better way.

* Wed Apr 21 2004 Matthias Clasen <mclasen@redhat.com> 1.0.13-12
- Bump release number to disambiguate n-v-rs.

* Mon Apr 19 2004 Matthias Clasen <mclasen@redhat.com>
- fix a possible out-of-bounds read in the error message
  handler. #121229

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Jun 9 2003  Elliot Lee <sopwith@redhat.com>
- This package has no epochs! remove usage thereof

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jun  3 2003 Jeff Johnson <jbj@redhat.com>
- add explicit epoch's where needed.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Jan 15 2003 Elliot Lee <sopwith@redhat.com> 1.0.13-7
- Bump & rebuild

* Fri Dec 13 2002 Elliot Lee <sopwith@redhat.com> 1.0.13-6
- Rebuild, merging in multilib change

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 21 2002 Elliot Lee <sopwith@redhat.com> 1.0.13-3
- The package totally broke the backwards compatibility that it was intended to provide.
  Fixed by setting soname to libpng.so.2, and only tweaking the build (libpng*.{so,a}) files.
- Use _smp_mflags
- Fix rhconf patch because it was patching a symlink instead of the actual file.
- Don't provide libpng = {version}, because then the package conflicts with itself

* Thu May  9 2002 Jeremy Katz <katzj@redhat.com> 1.0.13-2
- rebuild 

* Thu May  2 2002 Havoc Pennington <hp@redhat.com> 1.0.13-1
- upgrade to 1.0.13, plus patch tarball from libpng web site
- update rhconf patch to work with new makefiles

* Mon Mar  4 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.0.12-6
- Revert fix for #59988 as it introduces a worse problem, #60410

* Tue Feb 26 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.0.12-5
- Conflict with libpng < 1.2.0 (#59988)

* Wed Jan 30 2002 Bill Nottingham <notting@redhat.com> 1.0.12-4
- provide libpng = %%{version}, libpng-devel = %%{version}

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Jan  4 2002 Bill Nottingham <notting@redhat.com> 1.0.12-2
- add devel stuff (we may change this around later)

* Wed Sep 19 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.0.12-1
- initial compat package
